const path = require("path")

module.exports = {
  publicPath: '/',
  devServer: {
    host: '192.168.1.201',
    port: 8099,
    // allowedHosts: [
    //   '192.168.131.193:9501'
    // ],
    // proxy: {
    //     '/api': {
    //       target: 'http://192.168.31.193:9501', // 目标服务器地址
    //       changeOrigin: true, // 是否改变源地址
    //       pathRewrite: {
    //         '^/api': '' // 重写路径
    //       }
    //     }
    //   }
    
  },
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置

      // externals: {
      //   'vue': 'Vue',
      //   'element-ui': 'ELEMENT',
      //   'vue-router': 'VueRouter',
      //   'vuex': 'Vuex'
      // } // 防止将某些 import 的包(package)打包到 bundle 中，而是在运行时(runtime)再去从外部获取这些扩展依赖(用于csdn引入)
      resolve: {
        extensions: [".js", ".vue", ".json"], //文件优先解析后缀名顺序
        alias: {
          "@": path.resolve(__dirname, "src"),
          "@components": path.resolve(__dirname, "src/components"),
          "@views": path.resolve(__dirname, "src/views"),
          "@assets": path.resolve(__dirname, "src/assets"),
        }, // 别名配置
      },
    })
  },
  pluginOptions: {
    "style-resources-loader": {
      preProcessor: "less",
      patterns: [path.resolve(__dirname, './src/assets/css/common.less')]
    },
  },
}